> ## Documentation Index
> Fetch the complete documentation index at: https://docs.akumi.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a document

> Reads one document's metadata and its ingest status.



## OpenAPI

````yaml /api-reference/openapi.json get /recall/documents/{document}
openapi: 3.1.0
info:
  title: Akumi
  version: 0.0.1
servers:
  - url: https://api.akumi.eu/v1
    description: Production
security:
  - http: []
tags:
  - name: Audit log
  - name: Chat completions
  - name: Embeddings
  - name: Models
  - name: Recall
  - name: Scores
paths:
  /recall/documents/{document}:
    get:
      tags:
        - Recall
      summary: Fetch a document
      description: Reads one document's metadata and its ingest status.
      operationId: v1.recall.documents.show
      parameters:
        - name: document
          in: path
          required: true
          description: The document UUID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      title:
                        type: string
                      status:
                        type: string
                      chunk_count:
                        type:
                          - integer
                          - 'null'
                      token_count:
                        type:
                          - integer
                          - 'null'
                      preview_text:
                        type:
                          - string
                          - 'null'
                      created_at:
                        type:
                          - string
                          - 'null'
                    required:
                      - id
                      - title
                      - status
                      - chunk_count
                      - token_count
                      - preview_text
                      - created_at
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/NotFoundHttpException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    NotFoundHttpException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````